package cn.reghao.oss.store.api.iface.disk;

import cn.reghao.oss.store.api.dto.DirProp;
import cn.reghao.oss.store.api.dto.FileProp;

import java.util.List;

/**
 * @author reghao
 * @date 2023-05-18 19:23:07
 */
public interface FileService {
    String checkFilename(String pid, String filename);
    void createDirectory(String pid, String filename);
    String createFile(String pid, String filename, String content);
    void copyFile(List<String> fileIds, String toPid);
    void moveFile(List<String> fileIds, String toPid);
    void renameFile(String fileId, String newFilename);
    void deleteFiles(List<String> fileIds);
    FileProp getFileProp(String fileId);
    DirProp getDirProp(String fileId);
}
